Changeset 1986 for releases


Ignore:
Timestamp:
Oct 15, 2013 5:12:13 PM (6 years ago)
Author:
stefan
Message:

restore release

File:
1 edited

Legend:

Unmodified
Added
Removed
  • releases/1.15.3/Clp/configure

    r1985 r1986  
    10981098                          (implies --disable-shared)
    10991099  --enable-debug-clp compile project Clp with debug compiler flags
    1100 
    1101   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1100  --enable-doscompile     Under Cygwin, compile so that executables run under
     1101                          DOS. Set to mingw to use gcc/g++/ld with
     1102                          -mno-cygwin. Set to msvc to use cl/link (or
     1103                          icl/link). Default when mentioned: mingw. Default
     1104                          when not mentioned: disabled.
    11021105  --enable-static[=PKGS]
    11031106                          build static libraries [default=no]
     
    19451948
    19461949# Get the name of the C++ compiler and appropriate compiler options
    1947 
    1948 
    1949   # for backward compatibility
    1950   # Check whether --enable-doscompile or --disable-doscompile was given.
    1951 if test "${enable_doscompile+set}" = set; then
    1952   enableval="$enable_doscompile"
    1953   enable_doscompile=$enableval
    1954 else
    1955   enable_doscompile=no
    1956 fi;
    1957 
    1958   # Check whether --enable-msvc or --disable-msvc was given.
    1959 if test "${enable_msvc+set}" = set; then
    1960   enableval="$enable_msvc"
    1961   enable_msvc=$enableval
    1962 else
    1963   enable_msvc=no
    1964      if test "$enable_doscompile" = msvc ; then
    1965        enable_msvc=yes
    1966      elif test "$enable_doscompile" != no ; then
    1967        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1968 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1969    { (exit 1); exit 1; }; }
    1970      fi
    1971 
    1972 fi;
    1973 
    1974   if test "$enable_msvc" = yes; then
    1975     case $build in
    1976       *-cygwin* | *-mingw*) ;;
    1977       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1978 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1979    { (exit 1); exit 1; }; } ;;
    1980     esac
    1981   fi
    1982 
    1983 
    1984  case $build in
     1950case $build in
    19851951  *-mingw*)
    19861952    if test "${LD+set}" = set; then :; else
     
    19891955    ;;
    19901956 esac
    1991  if test $enable_msvc = yes ; then
    1992    if test "x${LD+set}" = xset; then :; else
    1993      LD=link
     1957 case $enable_doscompile in
     1958   msvc)
     1959     if test "x${LD+set}" = xset; then :; else
     1960       LD=link
     1961     fi
     1962     ;;
     1963 esac
     1964
     1965
     1966 # Check whether --enable-doscompile or --disable-doscompile was given.
     1967if test "${enable_doscompile+set}" = set; then
     1968  enableval="$enable_doscompile"
     1969  if test "$enable_doscompile" != no; then
     1970     case $build in
     1971       *-cygwin* | *-mingw*) ;;
     1972       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1973echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1974   { (exit 1); exit 1; }; } ;;
     1975     esac
    19941976   fi
    1995  fi
     1977else
     1978  enable_doscompile=no
     1979fi;
     1980 case "$enable_doscompile" in
     1981   mingw)
     1982     case $build in
     1983       *-mingw*) enable_doscompile=no ;;
     1984     esac
     1985     ;;
     1986   msvc|no) ;;
     1987   yes) enable_doscompile=mingw ;;
     1988   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1989                    Try configure --help=recursive." >&5
     1990echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1991                    Try configure --help=recursive." >&2;}
     1992   { (exit 1); exit 1; }; }
     1993      ;;
     1994  esac
     1995  if test "$enable_doscompile" != no ; then
     1996    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1997echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1998  fi
    19961999
    19972000
     
    20362039case $build in
    20372040  *-cygwin* | *-mingw*)
    2038              if test "$enable_msvc" = yes ; then
    2039                comps="icl cl gcc"
     2041             if test "$enable_doscompile" = msvc ; then
     2042               comps="icl cl"
    20402043             else
    2041                comps="gcc icl cl"
     2044               comps="gcc cl"
    20422045             fi ;;
    20432046  *-*-solaris*)
     
    28922895            ;;
    28932896        esac
     2897        case $enable_doscompile in
     2898          mingw)
     2899            CFLAGS="-mno-cygwin"
     2900            cat >conftest.$ac_ext <<_ACEOF
     2901/* confdefs.h.  */
     2902_ACEOF
     2903cat confdefs.h >>conftest.$ac_ext
     2904cat >>conftest.$ac_ext <<_ACEOF
     2905/* end confdefs.h.  */
     2906
     2907int
     2908main ()
     2909{
     2910int i=0; i++;
     2911  ;
     2912  return 0;
     2913}
     2914_ACEOF
     2915rm -f conftest.$ac_objext conftest$ac_exeext
     2916if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2917  (eval $ac_link) 2>conftest.er1
     2918  ac_status=$?
     2919  grep -v '^ *+' conftest.er1 >conftest.err
     2920  rm -f conftest.er1
     2921  cat conftest.err >&5
     2922  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2923  (exit $ac_status); } &&
     2924         { ac_try='test -z "$ac_c_werror_flag"
     2925                         || test ! -s conftest.err'
     2926  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2927  (eval $ac_try) 2>&5
     2928  ac_status=$?
     2929  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2930  (exit $ac_status); }; } &&
     2931         { ac_try='test -s conftest$ac_exeext'
     2932  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2933  (eval $ac_try) 2>&5
     2934  ac_status=$?
     2935  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2936  (exit $ac_status); }; }; then
     2937  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2938else
     2939  echo "$as_me: failed program was:" >&5
     2940sed 's/^/| /' conftest.$ac_ext >&5
     2941
     2942fi
     2943rm -f conftest.err conftest.$ac_objext \
     2944      conftest$ac_exeext conftest.$ac_ext
     2945            CFLAGS=
     2946          ;;
     2947        esac
    28942948    esac
    28952949  fi
     
    32323286  clang* ) ;;
    32333287  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3234 
    3235  case $build in
     3288    case $build in
    32363289  *-mingw*)
    32373290    if test "${LD+set}" = set; then :; else
     
    32403293    ;;
    32413294 esac
    3242  if test $enable_msvc = yes ; then
    3243    if test "x${LD+set}" = xset; then :; else
    3244      LD=link
    3245    fi
    3246  fi
     3295 case $enable_doscompile in
     3296   msvc)
     3297     if test "x${LD+set}" = xset; then :; else
     3298       LD=link
     3299     fi
     3300     ;;
     3301 esac
    32473302
    32483303    ;;
     
    32773332case $build in
    32783333  *-cygwin* | *-mingw*)
    3279       if test "$enable_msvc" = yes ; then
    3280          comps="icl cl g++"
    3281       else
    3282          comps="g++ icl cl"
    3283       fi ;;
     3334             if test "$enable_doscompile" = msvc ; then
     3335               comps="icl cl"
     3336             else
     3337               comps="g++ cl"
     3338             fi ;;
    32843339  *-*-solaris*)
    32853340             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37883843            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    37893844            ;;
     3845        esac
     3846
     3847        case $enable_doscompile in
     3848          mingw)
     3849            CXXFLAGS="-mno-cygwin"
     3850            cat >conftest.$ac_ext <<_ACEOF
     3851/* confdefs.h.  */
     3852_ACEOF
     3853cat confdefs.h >>conftest.$ac_ext
     3854cat >>conftest.$ac_ext <<_ACEOF
     3855/* end confdefs.h.  */
     3856
     3857int
     3858main ()
     3859{
     3860int i=0; i++;
     3861  ;
     3862  return 0;
     3863}
     3864_ACEOF
     3865rm -f conftest.$ac_objext conftest$ac_exeext
     3866if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3867  (eval $ac_link) 2>conftest.er1
     3868  ac_status=$?
     3869  grep -v '^ *+' conftest.er1 >conftest.err
     3870  rm -f conftest.er1
     3871  cat conftest.err >&5
     3872  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3873  (exit $ac_status); } &&
     3874         { ac_try='test -z "$ac_cxx_werror_flag"
     3875                         || test ! -s conftest.err'
     3876  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3877  (eval $ac_try) 2>&5
     3878  ac_status=$?
     3879  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3880  (exit $ac_status); }; } &&
     3881         { ac_try='test -s conftest$ac_exeext'
     3882  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3883  (eval $ac_try) 2>&5
     3884  ac_status=$?
     3885  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3886  (exit $ac_status); }; }; then
     3887  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     3888else
     3889  echo "$as_me: failed program was:" >&5
     3890sed 's/^/| /' conftest.$ac_ext >&5
     3891
     3892fi
     3893rm -f conftest.err conftest.$ac_objext \
     3894      conftest$ac_exeext conftest.$ac_ext
     3895            CXXFLAGS=
     3896          ;;
    37903897        esac
    37913898    esac
     
    41404247  clang* ) ;;
    41414248  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4142 
    4143  case $build in
     4249    case $build in
    41444250  *-mingw*)
    41454251    if test "${LD+set}" = set; then :; else
     
    41484254    ;;
    41494255 esac
    4150  if test $enable_msvc = yes ; then
    4151    if test "x${LD+set}" = xset; then :; else
    4152      LD=link
    4153    fi
    4154  fi
     4256 case $enable_doscompile in
     4257   msvc)
     4258     if test "x${LD+set}" = xset; then :; else
     4259       LD=link
     4260     fi
     4261     ;;
     4262 esac
    41554263
    41564264    ;;
     
    59256033*-*-irix6*)
    59266034  # Find out which ABI we are using.
    5927   echo '#line 5927 "configure"' > conftest.$ac_ext
     6035  echo '#line 6035 "configure"' > conftest.$ac_ext
    59286036  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59296037  (eval $ac_compile) 2>&5
     
    70597167
    70607168# Provide some information about the compiler.
    7061 echo "$as_me:7061:" \
     7169echo "$as_me:7169:" \
    70627170     "checking for Fortran 77 compiler version" >&5
    70637171ac_compiler=`set X $ac_compile; echo $2`
     
    81268234   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81278235   -e 's:$: $lt_compiler_flag:'`
    8128    (eval echo "\"\$as_me:8128: $lt_compile\"" >&5)
     8236   (eval echo "\"\$as_me:8236: $lt_compile\"" >&5)
    81298237   (eval "$lt_compile" 2>conftest.err)
    81308238   ac_status=$?
    81318239   cat conftest.err >&5
    8132    echo "$as_me:8132: \$? = $ac_status" >&5
     8240   echo "$as_me:8240: \$? = $ac_status" >&5
    81338241   if (exit $ac_status) && test -s "$ac_outfile"; then
    81348242     # The compiler can only warn and ignore the option if not recognized
     
    83948502   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83958503   -e 's:$: $lt_compiler_flag:'`
    8396    (eval echo "\"\$as_me:8396: $lt_compile\"" >&5)
     8504   (eval echo "\"\$as_me:8504: $lt_compile\"" >&5)
    83978505   (eval "$lt_compile" 2>conftest.err)
    83988506   ac_status=$?
    83998507   cat conftest.err >&5
    8400    echo "$as_me:8400: \$? = $ac_status" >&5
     8508   echo "$as_me:8508: \$? = $ac_status" >&5
    84018509   if (exit $ac_status) && test -s "$ac_outfile"; then
    84028510     # The compiler can only warn and ignore the option if not recognized
     
    84988606   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84998607   -e 's:$: $lt_compiler_flag:'`
    8500    (eval echo "\"\$as_me:8500: $lt_compile\"" >&5)
     8608   (eval echo "\"\$as_me:8608: $lt_compile\"" >&5)
    85018609   (eval "$lt_compile" 2>out/conftest.err)
    85028610   ac_status=$?
    85038611   cat out/conftest.err >&5
    8504    echo "$as_me:8504: \$? = $ac_status" >&5
     8612   echo "$as_me:8612: \$? = $ac_status" >&5
    85058613   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85068614   then
     
    1084310951  lt_status=$lt_dlunknown
    1084410952  cat > conftest.$ac_ext <<EOF
    10845 #line 10845 "configure"
     10953#line 10953 "configure"
    1084610954#include "confdefs.h"
    1084710955
     
    1094311051  lt_status=$lt_dlunknown
    1094411052  cat > conftest.$ac_ext <<EOF
    10945 #line 10945 "configure"
     11053#line 11053 "configure"
    1094611054#include "confdefs.h"
    1094711055
     
    1328713395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1328813396   -e 's:$: $lt_compiler_flag:'`
    13289    (eval echo "\"\$as_me:13289: $lt_compile\"" >&5)
     13397   (eval echo "\"\$as_me:13397: $lt_compile\"" >&5)
    1329013398   (eval "$lt_compile" 2>conftest.err)
    1329113399   ac_status=$?
    1329213400   cat conftest.err >&5
    13293    echo "$as_me:13293: \$? = $ac_status" >&5
     13401   echo "$as_me:13401: \$? = $ac_status" >&5
    1329413402   if (exit $ac_status) && test -s "$ac_outfile"; then
    1329513403     # The compiler can only warn and ignore the option if not recognized
     
    1339113499   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1339213500   -e 's:$: $lt_compiler_flag:'`
    13393    (eval echo "\"\$as_me:13393: $lt_compile\"" >&5)
     13501   (eval echo "\"\$as_me:13501: $lt_compile\"" >&5)
    1339413502   (eval "$lt_compile" 2>out/conftest.err)
    1339513503   ac_status=$?
    1339613504   cat out/conftest.err >&5
    13397    echo "$as_me:13397: \$? = $ac_status" >&5
     13505   echo "$as_me:13505: \$? = $ac_status" >&5
    1339813506   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1339913507   then
     
    1496115069   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1496215070   -e 's:$: $lt_compiler_flag:'`
    14963    (eval echo "\"\$as_me:14963: $lt_compile\"" >&5)
     15071   (eval echo "\"\$as_me:15071: $lt_compile\"" >&5)
    1496415072   (eval "$lt_compile" 2>conftest.err)
    1496515073   ac_status=$?
    1496615074   cat conftest.err >&5
    14967    echo "$as_me:14967: \$? = $ac_status" >&5
     15075   echo "$as_me:15075: \$? = $ac_status" >&5
    1496815076   if (exit $ac_status) && test -s "$ac_outfile"; then
    1496915077     # The compiler can only warn and ignore the option if not recognized
     
    1506515173   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1506615174   -e 's:$: $lt_compiler_flag:'`
    15067    (eval echo "\"\$as_me:15067: $lt_compile\"" >&5)
     15175   (eval echo "\"\$as_me:15175: $lt_compile\"" >&5)
    1506815176   (eval "$lt_compile" 2>out/conftest.err)
    1506915177   ac_status=$?
    1507015178   cat out/conftest.err >&5
    15071    echo "$as_me:15071: \$? = $ac_status" >&5
     15179   echo "$as_me:15179: \$? = $ac_status" >&5
    1507215180   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1507315181   then
     
    1727217380   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1727317381   -e 's:$: $lt_compiler_flag:'`
    17274    (eval echo "\"\$as_me:17274: $lt_compile\"" >&5)
     17382   (eval echo "\"\$as_me:17382: $lt_compile\"" >&5)
    1727517383   (eval "$lt_compile" 2>conftest.err)
    1727617384   ac_status=$?
    1727717385   cat conftest.err >&5
    17278    echo "$as_me:17278: \$? = $ac_status" >&5
     17386   echo "$as_me:17386: \$? = $ac_status" >&5
    1727917387   if (exit $ac_status) && test -s "$ac_outfile"; then
    1728017388     # The compiler can only warn and ignore the option if not recognized
     
    1754017648   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1754117649   -e 's:$: $lt_compiler_flag:'`
    17542    (eval echo "\"\$as_me:17542: $lt_compile\"" >&5)
     17650   (eval echo "\"\$as_me:17650: $lt_compile\"" >&5)
    1754317651   (eval "$lt_compile" 2>conftest.err)
    1754417652   ac_status=$?
    1754517653   cat conftest.err >&5
    17546    echo "$as_me:17546: \$? = $ac_status" >&5
     17654   echo "$as_me:17654: \$? = $ac_status" >&5
    1754717655   if (exit $ac_status) && test -s "$ac_outfile"; then
    1754817656     # The compiler can only warn and ignore the option if not recognized
     
    1764417752   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1764517753   -e 's:$: $lt_compiler_flag:'`
    17646    (eval echo "\"\$as_me:17646: $lt_compile\"" >&5)
     17754   (eval echo "\"\$as_me:17754: $lt_compile\"" >&5)
    1764717755   (eval "$lt_compile" 2>out/conftest.err)
    1764817756   ac_status=$?
    1764917757   cat out/conftest.err >&5
    17650    echo "$as_me:17650: \$? = $ac_status" >&5
     17758   echo "$as_me:17758: \$? = $ac_status" >&5
    1765117759   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1765217760   then
     
    2471724825  case $build in
    2471824826  *-cygwin* | *-mingw*)
    24719      if test "$enable_msvc" = yes ; then
    24720        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     24827     if test "$enable_doscompile" = msvc ; then
     24828       coin_f77_comps="ifort fl32 compile_f2c"
    2472124829     else
    2472224830       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    2494225050
    2494325051# Provide some information about the compiler.
    24944 echo "$as_me:24944:" \
     25052echo "$as_me:25052:" \
    2494525053     "checking for Fortran 77 compiler version" >&5
    2494625054ac_compiler=`set X $ac_compile; echo $2`
     
    2511125219    coin_add_fflags="-pipe"
    2511225220    coin_dbg_fflags="-g -O0"
     25221    case $enable_doscompile in
     25222      mingw)
     25223        FFLAGS="-mno-cygwin"
     25224        cat >conftest.$ac_ext <<_ACEOF
     25225      program main
     25226      write(*,*) 'Hello world'
     25227      end
     25228_ACEOF
     25229rm -f conftest.$ac_objext conftest$ac_exeext
     25230if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25231  (eval $ac_link) 2>conftest.er1
     25232  ac_status=$?
     25233  grep -v '^ *+' conftest.er1 >conftest.err
     25234  rm -f conftest.er1
     25235  cat conftest.err >&5
     25236  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25237  (exit $ac_status); } &&
     25238         { ac_try='test -z "$ac_f77_werror_flag"
     25239                         || test ! -s conftest.err'
     25240  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25241  (eval $ac_try) 2>&5
     25242  ac_status=$?
     25243  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25244  (exit $ac_status); }; } &&
     25245         { ac_try='test -s conftest$ac_exeext'
     25246  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25247  (eval $ac_try) 2>&5
     25248  ac_status=$?
     25249  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25250  (exit $ac_status); }; }; then
     25251  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     25252else
     25253  echo "$as_me: failed program was:" >&5
     25254sed 's/^/| /' conftest.$ac_ext >&5
     25255
     25256fi
     25257rm -f conftest.err conftest.$ac_objext \
     25258      conftest$ac_exeext conftest.$ac_ext
     25259        FFLAGS=
     25260      ;;
     25261    esac
    2511325262  else
    2511425263    case $build in
     
    2540225551case "$F77" in
    2540325552  ifort* | */ifort* | IFORT* | */IFORT*)
    25404 
    25405  case $build in
     25553    case $build in
    2540625554  *-mingw*)
    2540725555    if test "${LD+set}" = set; then :; else
     
    2541025558    ;;
    2541125559 esac
    25412  if test $enable_msvc = yes ; then
    25413    if test "x${LD+set}" = xset; then :; else
    25414      LD=link
    25415    fi
    25416  fi
     25560 case $enable_doscompile in
     25561   msvc)
     25562     if test "x${LD+set}" = xset; then :; else
     25563       LD=link
     25564     fi
     25565     ;;
     25566 esac
    2541725567
    2541825568    ;;
     
    2547925629ac_save_FFLAGS=$FFLAGS
    2548025630FFLAGS="$FFLAGS $ac_verb"
    25481 (eval echo $as_me:25481: \"$ac_link\") >&5
     25631(eval echo $as_me:25631: \"$ac_link\") >&5
    2548225632ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2548325633echo "$ac_f77_v_output" >&5
     
    2555725707ac_save_FFLAGS=$FFLAGS
    2555825708FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25559 (eval echo $as_me:25559: \"$ac_link\") >&5
     25709(eval echo $as_me:25709: \"$ac_link\") >&5
    2556025710ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2556125711echo "$ac_f77_v_output" >&5
     
    2674326893# Try to autodetect the library for blas based on build system
    2674426894  #AC_MSG_CHECKING([default locations for BLAS])
     26895  skip_lblas_check=no
    2674526896  case $build in
    2674626897    *-sgi-*)
     
    2754527696
    2754627697    *-cygwin* | *-mingw*)
     27698# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     27699# library will want to link with cygwin, hence won't run standalone in DOS.
     27700      if test "$enable_doscompile" = mingw; then
     27701        skip_lblas_check=yes
     27702      fi
    2754727703      case "$CC" in
    2754827704        clang* ) ;;
     
    2870828864  esac
    2870928865
    28710   if test -z "$use_blas" ; then
     28866  if test -z "$use_blas" && test $skip_lblas_check = no; then
    2871128867    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2871228868echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    3135231508echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    3135331509coin_link_input_cmd="$LN_S"
     31510if test "$enable_doscompile" = mingw; then
     31511  coin_link_input_cmd=cp
     31512fi
    3135431513case "$CC" in
    3135531514  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.